#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System;
using System.Collections.Generic;
using System.Threading;

namespace PieChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
    public class PieModel
    {
        public string Country { get; set; }
        public double Count { get; set; }
    }
    public class PieModelViewModel
    {
        public PieModelViewModel()
        {
            var rnd = new Random();
            Data = new List<PieModel>
            {
                new PieModel() {Country = "Others", Count = rnd.Next(200, 500)},
                new PieModel() {Country = "Uruguay", Count = rnd.Next(300, 900)},
                new PieModel() {Country = "Argentina", Count = rnd.Next(400, 800)},
                new PieModel() {Country = "United States", Count = rnd.Next(150, 550)},
                new PieModel() {Country = "Germany", Count = rnd.Next(100, 700)},
                new PieModel() {Country = "Netherlands", Count = rnd.Next(250, 800)}
            };
        }

        public IList<PieModel> Data
        {
            get;
            set;
        }
    }
}
